(function($){

    jQuery(document).ready( function($) {

        var ipswWidgetPopup = $( '#ipsw-site-widget-popup' );
        if ( ipswWidgetPopup.length > 0 ) {
        
            var popupWidth      = ipswWidgetPopup.width();
            ipswWidgetPopup.css( 'right', '-'+popupWidth+'px' );
            
            winHeight     = $(window).height();
            var scrollTop = $(window).scrollTop();
            if ( scrollTop >= winHeight ) {
                ipswWidgetPopup.show();
                ipswWidgetPopup.animate({right: '10px'}, 1000);
            }
            
            $( window ).scroll( function(){
                var scrollTop = $(window).scrollTop();
                if ( scrollTop >= winHeight ) {
                    ipswWidgetPopup.show();
                    ipswWidgetPopup.animate({right: '10px'}, 1000);
                }
            });
        }
        
        $( '.ipsw-widget-popup-close a' ).click( function(){
        
            var ipswWidgetPopup = $( '#ipsw-site-widget-popup' );
            var popupWidth = ipswWidgetPopup.width();
            ipswWidgetPopup.clearQueue();
            ipswWidgetPopup.stop();
            ipswWidgetPopup.animate({right: '-'+popupWidth+'px'}, 1000);
            setTimeout( function(){
                ipswWidgetPopup.remove();
            }, 1000);
            return false;
        });
    });

})(jQuery);